cmplxpack.c(3)

NAME
cmplxpack.c - Pack a data field using a complex packing algorithm.

SYNOPSIS

#include 'grib2_int.h'

  Functions

void cmplxpack (float *fld, g2int ndpts, g2int idrsnum, g2int *idrstmpl, unsigned char *cpack, g2int *lcpack)
Pack up a data field using a complex packing algorithm.

Detailed Description

Pack a data field using a complex packing algorithm.

Author
    Stephen Gilbert

Date
    2004-08-27

Definition in file cmplxpack.c.

Function Documentation

  void cmplxpack (float * fld, g2int ndpts, g2int idrsnum, g2int * idrstmpl, unsigned char * cpack, g2int * lcpack)

Pack up a data field using a complex packing algorithm. This function supports GRIB2 complex packing templates with or without spatial differences (i.e. DRTs 5.2 and 5.3). It also fills in GRIB2 Data Representation Template 5.2 or 5.3 with the appropriate values.

Parameters
    fld Contains the data values to pack.
    ndpts The number of data values in array fld
    idrsnum Data Representation Template number. Must equal 2 or 3.
    idrstmpl Contains the array of values for Data Representation Template 5.2 or 5.3

    •   0 Reference value - ignored on input, set by compack routine.

    •   1 Binary Scale Factor

    •   2 Decimal Scale Factor

    •   6 Missing value management

    •   7 Primary missing value

    •   8 Secondary missing value

    •   16 Order of Spatial Differencing ( 1 or 2 )

    cpack The packed data field.
    lcpack length of packed field cpack. Will be set to -1 if missing value management field is not 1 or 2.

Author
    Stephen Gilbert

Date
    2004-08-27

Definition at line 37 of file cmplxpack.c.

References compack(), and misspack().

Referenced by g2_addfield().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.